function createCommunity(Community, otuFile, RelativeAbundance, nSamples)

if ~exist(otuFile,'file')
    fprintf('Input OTU file "%s" does not exist\n', otuFile);
    return;
end

% Inputs
if (ischar(nSamples))
    nSamples = str2double(nSamples);
    RelativeAbundance = str2double(RelativeAbundance);
end

% Make the directory structure
if (exist(Community, 'dir'))
   sprintf('Community %s already exists!', Community)
   return
else
    mkdir(Community);
end

% --- Read in the OTUs --- %

OTUs = dlmread(otuFile,'\t');
nOTUs = length(OTUs);
fileName = sprintf('%s/OTUs.txt',Community);
dlmwrite(fileName,OTUs,'precision',16);

% --- Write out the parameter data --- %
fileName = sprintf('%s/Parameters.mat',Community);
save(fileName, 'RelativeAbundance', 'nOTUs', 'nSamples');

fileName = sprintf('%s/Samples',Community);
mkdir(fileName);
% Write out the variations for MetaSim
for i=1:nSamples
  fileName = sprintf('%s/Samples/OTUs_%i.mprf',Community,i);
  FH = fopen(fileName, 'w');
  for k=1:nOTUs
    fprintf(FH,'%d\ttaxid\t%d\n', 10^( RelativeAbundance * rand() ), OTUs(k) );
  end
  fclose(FH);
end


end
